Annotated (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface Annotated

- All Superinterfaces:
    OpenAttrs, XmlObject, XmlTokenSource
  All Known Subinterfaces:
    All, AnyDocument.Any, Attribute, AttributeGroup, AttributeGroupRef, ComplexContentDocument.ComplexContent, ComplexRestrictionType, ComplexType, Element, ExplicitGroup, ExtensionType, Facet, FieldDocument.Field, Group, GroupRef, ImportDocument.Import, IncludeDocument.Include, Keybase, KeyrefDocument.Keyref, ListDocument.List, LocalComplexType, LocalElement, LocalSimpleType, NamedAttributeGroup, NamedGroup, NamedGroup.All, NarrowMaxMin, NoFixedFacet, NotationDocument.Notation, NumFacet, PatternDocument.Pattern, RealGroup, RestrictionDocument.Restriction, RestrictionType, SelectorDocument.Selector, SimpleContentDocument.SimpleContent, SimpleExplicitGroup, SimpleExtensionType, SimpleRestrictionType, SimpleType, TopLevelAttribute, TopLevelComplexType, TopLevelElement, TopLevelSimpleType, TotalDigitsDocument.TotalDigits, UnionDocument.Union, WhiteSpaceDocument.WhiteSpace, Wildcard
  All Known Implementing Classes:
    AllImpl, AnnotatedImpl, AnyDocumentImpl.AnyImpl, AttributeGroupImpl, AttributeGroupRefImpl, AttributeImpl, ComplexContentDocumentImpl.ComplexContentImpl, ComplexRestrictionTypeImpl, ComplexTypeImpl, ElementImpl, ExplicitGroupImpl, ExtensionTypeImpl, FacetImpl, FieldDocumentImpl.FieldImpl, GroupImpl, GroupRefImpl, ImportDocumentImpl.ImportImpl, IncludeDocumentImpl.IncludeImpl, KeybaseImpl, KeyrefDocumentImpl.KeyrefImpl, ListDocumentImpl.ListImpl, LocalComplexTypeImpl, LocalElementImpl, LocalSimpleTypeImpl, NamedAttributeGroupImpl, NamedGroupImpl, NamedGroupImpl.AllImpl, NarrowMaxMinImpl, NoFixedFacetImpl, NotationDocumentImpl.NotationImpl, NumFacetImpl, PatternDocumentImpl.PatternImpl, RealGroupImpl, RestrictionDocumentImpl.RestrictionImpl, RestrictionTypeImpl, SelectorDocumentImpl.SelectorImpl, SimpleContentDocumentImpl.SimpleContentImpl, SimpleExplicitGroupImpl, SimpleExtensionTypeImpl, SimpleRestrictionTypeImpl, SimpleTypeImpl, TopLevelAttributeImpl, TopLevelComplexTypeImpl, TopLevelElementImpl, TopLevelSimpleTypeImpl, TotalDigitsDocumentImpl.TotalDigitsImpl, UnionDocumentImpl.UnionImpl, WhiteSpaceDocumentImpl.WhiteSpaceImpl, WildcardImpl

      public interface Annotated
      extends OpenAttrs

  An XML annotated(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<Annotated>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationDocument.Annotation` | `addNewAnnotation()` Appends and returns a new empty "annotation" element
    `AnnotationDocument.Annotation` | `getAnnotation()` Gets the "annotation" element
    `String` | `getId()` Gets the "id" attribute
    `boolean` | `isSetAnnotation()` True if has "annotation" element
    `boolean` | `isSetId()` True if has "id" attribute
    `void` | `setAnnotation(AnnotationDocument.Annotation annotation)` Sets the "annotation" element
    `void` | `setId(String id)` Sets the "id" attribute
    `void` | `unsetAnnotation()` Unsets the "annotation" element
    `void` | `unsetId()` Unsets the "id" attribute
    `XmlID` | `xgetId()` Gets (as xml) the "id" attribute
    `void` | `xsetId(XmlID id)` Sets (as xml) the "id" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<Annotated> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getAnnotation

          AnnotationDocument.Annotation getAnnotation()

      Gets the "annotation" element

    - #### isSetAnnotation

          boolean isSetAnnotation()

      True if has "annotation" element

    - #### setAnnotation

          void setAnnotation(AnnotationDocument.Annotation annotation)

      Sets the "annotation" element

    - #### addNewAnnotation

          AnnotationDocument.Annotation addNewAnnotation()

      Appends and returns a new empty "annotation" element

    - #### unsetAnnotation

          void unsetAnnotation()

      Unsets the "annotation" element

    - #### getId

          String getId()

      Gets the "id" attribute

    - #### xgetId

          XmlID xgetId()

      Gets (as xml) the "id" attribute

    - #### isSetId

          boolean isSetId()

      True if has "id" attribute

    - #### setId

          void setId(String id)

      Sets the "id" attribute

    - #### xsetId

          void xsetId(XmlID id)

      Sets (as xml) the "id" attribute

    - #### unsetId

          void unsetId()

      Unsets the "id" attribute